Subject: Re: [tcpinc] TLS latency.

From: John-Mark Gurney <[email-masked]>
Date: Thu, 21 Aug 2014 14:44:00 -0700

Martin Thomson wrote this message on Sun, Aug 03, 2014 at 13:27 -0700:
> On 3 August 2014 09:19, Watson Ladd <[email-masked]> wrote:
> >
> >
> > Somehow I missed this mistake: the client does wasted work,
> > potentially very expensive wasted work.
> > But yes, it does reduce the game theory problem.
> 
> That's a tradeoff that completely empowers the client.  Computation
> costs in key generation probabilistically reduce the chance of having
> to pay for extra round trips.  I think that aligns the incentives
> correctly.  Even more so if we can settle on a very small (i.e., -> 1)
> set of groups.

Only on first connect to server... after that, you cache the results...

-- 
  John-Mark Gurney				Voice: +1 415 225 5579

     "All that I will do, has been done, All that I have, has not."

---

From: Martin Thomson <[email-masked]>
Date: Thu, 21 Aug 2014 16:16:34 -0700

> Only on first connect to server... after that, you cache the results...

That's not particularly safe either.  That assumes that you are
actually hitting the exact same software each time.